# cPy - demonstrates the usage of drawsvg for text
# Provided by Anthony Vogelaar, Perth Scotland
# rev 0.10  2024-09-16  initial release

# https://pypi.org/project/drawsvg/

import  os;     os.system('clear')
import  drawsvg as  draw

def main():
    d = draw.Drawing(200, 200)
    text = draw.Text('I love SVG!', 35, 15, 100, fill='red', font_style='italic')
    d.append(text)
    d.save_svg('test.svg')
    os.system('./svg_viewer.py test.svg')


main()
